# tp-framework-errors

Travelplanet Framework component: Errors and logs management

## Usage

```js
const errors = require('@developpement/tp-framework-errors');
errors.InitLogger(app);
errors.LogError('This is an error message');
errors.LogDebug('This is a debug message displayed in Dev only');

// ... in a action such as GET /hello-world

try {
  // ...
} catch (err) {
  return errors.HaltRequest(res, 404, { code: 'ERR_NOT_FOUND', message: 'Cannot find this page' }, err);
}
```
